import 'package:flutter/services.dart';

class FlutterNativeToast {
  static const MethodChannel _channel = const MethodChannel('flutter_native_toast');

  static showToast(String msg,{ToastDuration duration = ToastDuration.LENGTH_SHORT,ToastPosition position = ToastPosition.center}) {
    _channel.invokeMethod('showToast',{"msg": msg, "duration": duration.index, "position": position.index});
  }
}

//toast位置
enum ToastPosition {
  top,
  center,
  bottom,
}

enum ToastDuration { LENGTH_SHORT, LENGTH_LONG }
