public class ShowToastUtil {



    private static TextView mTextView;

    private static ImageView mImageView;



    public static void showToast(Context context, String message,int cnt) {



        final Timer timer = new Timer();

        //加载Toast布局

        View toastRoot = LayoutInflater.from(context).inflate(R.layout.toast, null);

        //初始化布局控件

        mTextView = (TextView) toastRoot.findViewById(R.id.message);

        mImageView = (ImageView) toastRoot.findViewById(R.id.imageView);

        //为控件设置属性

        mTextView.setText(message);

        mImageView.setImageResource(R.mipmap.ic_launcher);

        //Toast的初始化

        final Toast toastStart = new Toast(context);

        //获取屏幕高度

        WindowManager wm = (WindowManager) context.getSystemService(Context.WINDOW_SERVICE);

        int height = wm.getDefaultDisplay().getHeight();

        //Toast的Y坐标是屏幕高度的1/3，不会出现不适配的问题

        toastStart.setGravity(Gravity.TOP, 0, height / 3);

        toastStart.setDuration(Toast.LENGTH_LONG);

        toastStart.setView(toastRoot);

        timer.schedule(new TimerTask() {

            @Override

            public void run() {

                toastStart.show();

            }

        }, 0, 3000);  //Toast  long默认显示的是3000毫秒，所以设置成3000

        new Timer().schedule(new TimerTask() {

            @Override

            public void run() {

                toastStart.cancel();

                timer.cancel();

            }

        }, cnt );

    }